Views and engagement gained per day, zeros filled
GET
/api/public/v1/content/seriesLiveAnswers from your brand's records now.
Operation id getContentSeries
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/series" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| platform | query | string | One of instagramtik_tokyoutubefacebooktwitter |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | array of object | |
| data[].[].comments | integer | |
| data[].[].date | string (date) | |
| data[].[].engagement_rate | number | |
| data[].[].likes | integer | |
| data[].[].saves | integer | |
| data[].[].shares | integer | |
| data[].[].views | integer | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": [
{
"comments": 3,
"date": "2026-11-01",
"engagement_rate": 0.15,
"likes": 3,
"saves": 3,
"shares": 3,
"views": 3
}
],
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.